---
title: Transaction Response
description: This API will return the Payment Status of a transaction from POS Machine to merchant’s laptop/ desktop.
---

# PUSH TO POS - Transaction Response

This API will return the Payment Status of a transaction from POS Machine to merchant’s laptop/ desktop. We must pass merchant id, order id and unique id in request. If the request has valid details, we will get to know the status in terms of status code along with details related to the payment.

## POST

```
https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-response
```

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| mercid | String | Merchant Id (length 1-12, required) |
| orderid | String | Order ID (length 1-20, required) |
| uniqueid | String | Unique ID is a unique identifier and have unique value (length 4-10, required) |

## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-response' \
 --form  'mercid=71234' \
 --form  'orderid=102' \
 --form  'uniqueid=91f5evhk72'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Number | Status Code<br>200 - Success<br>502 - Failed<br>100 - Merchant Id not valid<br>112 - Invalid Order id<br>113 - Amount not valid |
| message | String | Status Message<br>TRANSACTIONID - Transaction id<br>APTRANSACTIONID - Airpay transaction id<br>INVOICE_NO - Invoice number<br>MERCHANTID - Merchant id<br>TERMINALID - Terminal id<br>​CARDISSUER -​ Card issuer<br>​CHMOD -​ Payment channel used to make payment<br>​AMOUNT​ - Amount<br>​SURCHARGE -​ Surcharge (Additional charges for particular transaction)<br>​CURRENCYCODE -​ Code of currency<br>​TRANSACTIONSTATUS -​ Transaction status 200 - Success400 - Failed510 - Account not valid112 - Invalid Order id113 - Amount not valid<br>​MESSAGE -​ message<br>​RRN​ - 12 digit unique number to verify the transaction whether it is success or failure.<br>​AUTHCODE​ - Authentication Code (Bank code. 6 digits code)<br>​CUSTOMER - Customer name<br>​CUSTOMERPHONE​ - Customer phone number<br>​CARD_NUMBER​ - Card number<br>​CARDUNIQUECODE -​ Unique code of card<br>​CUSTOMEREMAIL -​ Customer email id<br>​TOKEN​ - Token<br>​TRANSACTIONTYPE​ - Transaction type 310 - Authorization320 - Sale330 - Capture340 - Refund350 - Chargeback420 - Void<br>​ISRISK - Risk transaction<br>​IPNID​ - IPN id (It is a number generated by payment gateway)<br>​ap_SecureHash -​ Secure hash generated by airpay |

## Success-Response:

```
HTTP/1.1 200 OK
{
         "status": 200,
         "message":
                     {
                         "TRANSACTIONID":"145290311",
                         "APTRANSACTIONID": "007941",
                         "INVOICE_NO": "000068",
                         "MERCHANTID": "71234",
                         "TERMINALID": "00702664",
                         "​CARDISSUER​": "​mastercard​",
                         "​CHMOD​": "​pos​",
                         "​AMOUNT​": "​100.00​",
                         "​SURCHARGE​": "​1.00​",
                         "​CURRENCYCODE​": "​356​",
                         "​TRANSACTIONSTATUS​": "​200​",
                         "​MESSAGE​": "​Successful​",
                         "​RRN​": "​000881088251​",
                         "​AUTHCODE​": "​000687​",
                         "​CUSTOMER​": "​Mathew George",
                         "​CUSTOMERPHONE​": "​9XXXXXX064​",
                         "​CARD_NUMBER​": "​524254xxxxxx381",
                         "​CARDUNIQUECODE​"​: ​"",
                         "​CUSTOMEREMAIL​": "xyz@example.com",
                         "​TOKEN​"​: ​"",
                         "​TRANSACTIONTYPE​": "​420​",
                         "​ISRISK​": "​N​",
                         "​IPNID​": "​005122​",
                         "​ap_SecureHash​": "​0098130100​"
                 }
}
```
## Error-Response: Invalid

```
HTTP/1.1 112 Invalid
 {
     "status": 112,
     "message": {"ORDER_ID": ["Invalid Order id."] }
 }
```
## Error-Response:
```
HTTP/1.1 502 Not Found
 {
     "status": 502,
     "message": {"ORDER_ID": ["Order does not exist."] }
 }
```